View Issue Details

IDProjectCategoryView StatusLast Update
995RackTablesdefaultpublic2018-11-15 09:56
ReportertommenAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionwon't fix 
PlatformMobileOSMobileOS Version
Product Version0.20.5 
Target VersionFixed in Version 
Summary995: mobile friendly webpage or app
DescriptionMake a mobilefriendly webpage.
Then, maybe an app?

I'm thinking scanning barcodes/QR on equipment and cables to get info about status and desinations/connections.

This would make it the best datacenter organizer for SMB.
TagsNo tags attached.

Activities

acidix

acidix

2013-08-28 11:59

reporter   ~0001725

I would love to see this implemented.

I'd go even one step further and suggest migrating the UI to an open framework such as Twitter Bootstrap (or similar). We'll get things like mobile-first or type-ahead-search (in lists) implicitly and would be able to implement proper MVC with that change as well.

More of a long-term project, but I might be able to help!
infrastation

infrastation

2013-08-29 16:00

administrator   ~0001727

Is anybody willing to do this work?
acidix

acidix

2013-08-29 16:31

reporter   ~0001729

As I said, I might be able to take this on. I need to check if I can get some time & resources (students) to work on this.

Would you be committed to - basically - (have somebody) completely rework the UI ?
infrastation

infrastation

2013-08-29 16:52

administrator   ~0001733

Now I see, thank you. There's already a similar work in progress by Mark Jazmik: https://github.com/Jazmik/racktables-html5/commits/html5-interface

It is also based on Bootstrap. Does this address the initial concern in a way? Would you like to help Mark?
acidix

acidix

2013-08-30 10:00

reporter   ~0001735

I just had a look at it and it seems great so far! I bet a ton of work already went into that!

Can you put me in touch with Mark so that we can discuss his goals and how we could potentially work together? I would like to take this as an opportunity to address some usability quirks as well ...

Is there a plan to merge it back into master at some point?
infrastation

infrastation

2013-08-30 12:15

administrator   ~0001737

E-mail sent. I would like to merge this work, but I don't understand how complete it is.
tommen

tommen

2013-09-16 13:37

reporter   ~0001755

is there any news about this? I would love to see some progress with racktables. New UI and features..
acidix

acidix

2013-09-16 13:42

reporter   ~0001757

I am working on upgrading Mark's work to Bootstrap 3 - to really start fresh when starting fresh ...

I do not have an eta yet as I am also busy with some other Racktables related projects that currently have priority ...
tommen

tommen

2014-02-04 15:59

reporter   ~0002173

Any news here?

Racktables is great, but is surely in a need of better workflow and design.
yosh

yosh

2014-05-21 11:57

reporter   ~0002327

bump.

I really prefer https://github.com/Jazmik/racktables-html5/commits/html5-interface over the standard interface.

Have you heard back from the author?
infrastation

infrastation

2014-06-06 21:16

administrator   ~0002345

It is being reviewed.
infrastation

infrastation

2018-11-15 09:56

administrator   ~0003865

All work on this feature eventually ran into the ground. Mark jazmik stopped working on his solution, and I later had declined the work produced by the students of Thomas Uhde, as it involved exploding the file tree into hundreds of files, thus affecting maintainability. There were no other volunteers willing to work on this, and this is one of the oldest "unassigned" bugs in this bug tracker, thus closing.

Issue History

Date Modified Username Field Change
2013-08-14 11:06 tommen New Issue
2013-08-28 11:59 acidix Note Added: 0001725
2013-08-29 16:00 infrastation Note Added: 0001727
2013-08-29 16:31 acidix Note Added: 0001729
2013-08-29 16:52 infrastation Note Added: 0001733
2013-08-30 10:00 acidix Note Added: 0001735
2013-08-30 12:15 infrastation Note Added: 0001737
2013-09-16 13:37 tommen Note Added: 0001755
2013-09-16 13:42 acidix Note Added: 0001757
2014-02-04 15:59 tommen Note Added: 0002173
2014-05-21 11:57 yosh Note Added: 0002327
2014-06-06 21:16 infrastation Note Added: 0002345
2018-11-15 09:56 infrastation Status new => closed
2018-11-15 09:56 infrastation Resolution open => won't fix
2018-11-15 09:56 infrastation Note Added: 0003865